curl --request GET \
--url https://api.blaxel.ai/v0/sandbox/hub \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/sandbox/hub"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/sandbox/hub', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blaxel.ai/v0/sandbox/hub",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blaxel.ai/v0/sandbox/hub"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.blaxel.ai/v0/sandbox/hub")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blaxel.ai/v0/sandbox/hub")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"categories": [
{}
],
"coming_soon": false,
"creationOptions": {
"extraArgs": {},
"volumes": [
{
"mountPath": "/mnt/data",
"name": "my-volume",
"readOnly": false,
"sizeMb": 102400,
"type": "persistent"
}
]
},
"description": "Python environment with data science libraries pre-installed",
"displayName": "Python Data Science",
"enterprise": false,
"hidden": false,
"icon": "<string>",
"iconDark": "<string>",
"iconLight": "<string>",
"image": "blaxel/python-data-science:latest",
"longDescription": "<string>",
"memory": 2048,
"name": "python-data-science",
"ports": [
{
"target": 8080,
"name": "http",
"protocol": "HTTP"
}
],
"tags": "<string>",
"url": "<string>"
}
]List Sandbox Hub templates
Returns all pre-built sandbox templates available in the Blaxel Hub. These include popular development environments with pre-installed tools and frameworks.
curl --request GET \
--url https://api.blaxel.ai/v0/sandbox/hub \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/sandbox/hub"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/sandbox/hub', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blaxel.ai/v0/sandbox/hub",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blaxel.ai/v0/sandbox/hub"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.blaxel.ai/v0/sandbox/hub")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blaxel.ai/v0/sandbox/hub")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"categories": [
{}
],
"coming_soon": false,
"creationOptions": {
"extraArgs": {},
"volumes": [
{
"mountPath": "/mnt/data",
"name": "my-volume",
"readOnly": false,
"sizeMb": 102400,
"type": "persistent"
}
]
},
"description": "Python environment with data science libraries pre-installed",
"displayName": "Python Data Science",
"enterprise": false,
"hidden": false,
"icon": "<string>",
"iconDark": "<string>",
"iconLight": "<string>",
"image": "blaxel/python-data-science:latest",
"longDescription": "<string>",
"memory": 2048,
"name": "python-data-science",
"ports": [
{
"target": 8080,
"name": "http",
"protocol": "HTTP"
}
],
"tags": "<string>",
"url": "<string>"
}
]Authorizations
OAuth2 authentication with JWT tokens
Response
successful operation
Categories of the definition
If the definition is coming soon
false
Optional Hub template settings applied by the console without additional sandbox creation lookups.
Show child attributes
Show child attributes
Description of the definition
"Python environment with data science libraries pre-installed"
Display name of the definition
"Python Data Science"
If the definition is enterprise
false
If the definition is hidden
false
Icon of the definition
Nonempty dark-mode icon URL in responses. Blank inputs use the resolved light-mode icon.
Nonempty light-mode icon URL in responses. Blank inputs use icon, iconDark, then the default Hub icon.
Image of the Sandbox definition
"blaxel/python-data-science:latest"
Long description of the definition
Memory of the Sandbox definition in MB
2048
Name of the artifact
"python-data-science"
Set of ports for a resource
Show child attributes
Show child attributes
Tags of the definition
URL of the definition
Was this page helpful?